<?php

namespace Drupal\synhelper\Hook;

/**
 * @file
 * Contains \Drupal\synhelper\Hook\NodePresave.
 */

/**
 * Controller NodePresave.
 */
class NodePresave {

  /**
   * Hook.
   */
  public static function hook($node) {
    // Set Node-title id empty.
    if (!$node->title->value) {
      $title = $node->getType() . " - " . \Drupal::service('date.formatter')->format(\Drupal::time()->getRequestTime(), 'long');
      $node->title->setValue($title);
    }
  }

}
